# Uses of Class
it.tdlight.jni.TdApi.ScopeNotificationSettings

## Uses of TdApi.ScopeNotificationSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ScopeNotificationSettings
Modifier and Type
Field
Description
`TdApi.ScopeNotificationSettings`
TdApi.SetScopeNotificationSettings.`notificationSettings`
The new notification settings for the given scope.
`TdApi.ScopeNotificationSettings`
TdApi.UpdateScopeNotificationSettings.`notificationSettings`
The new notification settings.
Constructors in it.tdlight.jni with parameters of type TdApi.ScopeNotificationSettings
Modifier
Constructor
Description
``
`SetScopeNotificationSettings(TdApi.NotificationSettingsScope scope, TdApi.ScopeNotificationSettings notificationSettings)`
Changes notification settings for chats of a given type.
``
`UpdateScopeNotificationSettings(TdApi.NotificationSettingsScope scope, TdApi.ScopeNotificationSettings notificationSettings)`
Notification settings for some type of chats were updated.